GENERATE_INTR_TARGET_MODULE(1)

NAME
generate-intr-target-module - generate Theme-D-Intr target Scheme module

SYNOPSIS
generate-intr-target-module [ OPTION ] ...

DESCRIPTION
Command generate-intr-target-module generates a Theme-D-Intr target Scheme module file for an application.

OPTIONS

--declarative
    Make the target module declarative. This option can only be used if you have configured Theme-D-Intr to use Guile 3.0.

-i INPUTFILE
    Specify the input file. The default is intr-imports.scm. The input file specifies which classes and procedures are imported for the application.

-m MODULENAME
    Specify the Scheme module name of the G-Golf import module. The default is (_intr-imports-target).

-o OUTPUTFILE
    Specify the output file name. The default is _intr-imports-target.scm.

FILES

_intr-imports.scm
    The default specification file for the G-Golf imports.

_intr-imports-target.scm
    The default Scheme module file for the G-Golf imports.

SEE ALSO
generate-intr-interface(1), generate-intr-target-module(1)